View Issue Details

IDProjectCategoryView StatusLast Update
0012612LazarusIDEpublic2009-09-13 11:41
ReporterBrad Campbell Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0012612: Child objects don't paint properly on TPageControl.TTabSheet while Designing until project is saved and lazarus restarted
DescriptionSteps to reproduce
Create New project "Application"
Drop TPageControl on Form1
Create 2 pages in PageControl1 (Right click on PageControl1->Add Page)
Select Second Page (Selected by default after creation)
Drop TButton on PageControl1 client area.
TButton creates a blank area on page but will not paint.

TagsNo tags attached.
Fixed in Revision
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Activities

Vincent Snijders

2008-11-12 09:19

manager   ~0023309

What happens if you uncheck Options -> Environment -> Form Editor -> Reduce designer painting ?

Brad Campbell

2008-11-12 10:53

reporter   ~0023313

No change at all I'm afraid

Zeljan Rikalo

2009-09-12 22:34

developer   ~0030670

Tested with 0.9.29 (r. 21646) and it looks fine.
Test and close if ok, otherwise provide an example.

Brad Campbell

2009-09-13 11:41

reporter   ~0030688

All fixed, thanks :)

Issue History

Date Modified Username Field Change
2008-11-12 08:23 Brad Campbell New Issue
2008-11-12 08:23 Brad Campbell Widgetset => GTK 2
2008-11-12 09:19 Vincent Snijders LazTarget => 1.0
2008-11-12 09:19 Vincent Snijders Note Added: 0023309
2008-11-12 09:19 Vincent Snijders Status new => acknowledged
2008-11-12 09:19 Vincent Snijders Target Version => 1.0.0
2008-11-12 10:53 Brad Campbell Note Added: 0023313
2009-09-12 22:34 Zeljan Rikalo LazTarget 1.0 => 0.9.30
2009-09-12 22:34 Zeljan Rikalo Status acknowledged => resolved
2009-09-12 22:34 Zeljan Rikalo Fixed in Version => 0.9.29 (SVN)
2009-09-12 22:34 Zeljan Rikalo Resolution open => fixed
2009-09-12 22:34 Zeljan Rikalo Assigned To => Zeljan Rikalo
2009-09-12 22:34 Zeljan Rikalo Note Added: 0030670
2009-09-13 11:41 Brad Campbell Status resolved => closed
2009-09-13 11:41 Brad Campbell Note Added: 0030688